Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Review events

Overview

This endpoint returns the list of review events that happened on a claimed quest.

The Review Event Object


id - String

ID of the review event


createdAt - String

ISO timestamp that indicates the creation date and time of the review event


type - Enum (error, success, cancel) Type of the review event.


data - Object

Object containing the comment written by the reviewer at the moment of the review and the bonus XP given, if any.


reviewer - Object

Object containing the id, name, and avatar url of the reviewer


API Specification

List review events for a review

get
Path parameters
idstring · uuidRequired
subdomainstringRequired
Query parameters
cursorstring · max: 160 · nullableOptional
limitinteger · min: 1 · max: 100Optional
Header parameters
authorizationstringOptional
x-api-keystringOptional
x-zealy-mcp-clientstring · enumOptionalPossible values:
Responses
200

200

application/json
nextCursorstring · max: 160 · nullableOptional
get/public/communities/{subdomain}/reviews/{id}/events
GET /public/communities/{subdomain}/reviews/{id}/events HTTP/1.1
Host: api-v2.zealy.io
Accept: */*
{
  "items": [
    {
      "id": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "type": "success",
      "data": {
        "message": "text",
        "bonusXP": 1
      },
      "reviewer": {
        "id": "text",
        "name": "text",
        "avatar": "https://example.com"
      }
    }
  ],
  "nextCursor": "text"
}

Last updated